gnutls_x509_crt_set_authority_key_id(3)

NAME
gnutls_x509_crt_set_authority_key_id

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_authority_key_id(gnutls_x509_crt_t cert, const void * id, size_t id_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

const void * id
    The key ID

size_t id_size
    Holds the size of the serial field.

DESCRIPTION
This function will set the X.509 certificate's authority key ID extension. Only the keyIdentifier field can be set with this function. Returns 0 on success, or a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.